---
title: "List a workspace's stored RCS content templates (platform owner only)"
description: "Returns the rcs_content_templates rows for the workspace (rich-card metadata, no Twilio tokens)."
---

> Documentation Index
> Fetch the complete documentation index at: https://developer.channelautomations.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Channel Automation API › RCS

`GET /api/rcs/workspaces/{workspaceId}/templates`

Returns the rcs_content_templates rows for the workspace (rich-card metadata, no Twilio tokens).

## Authentication

- `BearerAuth`, http, header `Authorization`, format `JWT`

## Path parameters

- `workspaceId` (`get/api/rcs/workspaces/workspaceId/templates.path.workspaceId`; string, required)

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.channelautomation.com/api/rcs/workspaces/<workspaceId>/templates' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.channelautomation.com/api/rcs/workspaces/<workspaceId>/templates';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.channelautomation.com/api/rcs/workspaces/<workspaceId>/templates"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

List of content templates.

### 401

Authentication required

#### Example

```json
{
  "error": "Authentication required",
  "success": false
}
```

- `error` (`get/api/rcs/workspaces/workspaceId/templates.response.401.error`; string, optional)
  - example `"Authentication required"`
- `success` (`get/api/rcs/workspaces/workspaceId/templates.response.401.success`; boolean, optional)
  - example `false`

### 403

SaaS owner access required.

### 500

Internal server error

#### Example

```json
{
  "error": "Internal server error",
  "details": "string",
  "success": false
}
```

- `error` (`get/api/rcs/workspaces/workspaceId/templates.response.500.error`; string, optional)
  - example `"Internal server error"`
- `details` (`get/api/rcs/workspaces/workspaceId/templates.response.500.details`; string, optional)
- `success` (`get/api/rcs/workspaces/workspaceId/templates.response.500.success`; boolean, optional)
  - example `false`

### 503

Identity verification is temporarily unavailable.


Source: https://developer.channelautomations.com/api/get-api-rcs-workspaces-workspace-id-templates/index.md
